Search form

Upcoming study opportunities

May 2016 online courses

There are just a few days left to apply for our diplomacy courses which start on 2 May 2016:

Apply by 18 April 2016 for Diplo certificate courses. Partial bursaries are available for qualified applicants from developing countries. For further information or to apply, click on the titles of the courses above, or visit our courses webpage. Register now to reserve your place.

Summer online courses

Diplo's summer online courses start on 18 July 2016:

Apply by 16 May 2016 for University of Malta accredited courses and by 13 June 2016 for Diplo certificate courses. For further information or to apply, click on the titles of the courses above, or visit our courses webpage. Register now to reserve your place.

Malta scholarships

Thanks to support from the government of Malta, partial scholarhships are available for applicants from developing countries to attend upcoming Diplo online courses. These scholarships cover 50-70% of course fees and can be applied to any online course in 2015. Please browse our course catalogue and contact us at admissions@diplomacy.edu for further information.

 

WebDebates: Bright future for diplomacy and need for change in diplomatic services

The end of diplomacy has been pronounced many times in history. In 1850, when Lord Palmerston received the first telegraph, he exclaimed: ‘My God, this is the end of diplomacy!’ But diplomacy has survived not only the invention of the telegraph but also the telephone and radio eras. Is the Internet era any different? Is the diplomatic service still needed? These were the underlying questions and discussions in the first of a new series of WebDebates, which took place on 8 April. Learn more about WebDebates. Registration for the second online discussion - on 3 May - is now open.

 

Upcoming events on digital policy

19 April: Webinar on Cybersecurity Competence Building Trends

Cyberspace has become an essential component of modern society, yet its merits are accompanied by threats. The prevention of cyber threats is based in knowledge and competence. Not only is education important, but there is also the need to build human skills and competences across society. The study on Cybersecurity Competence Building Trends sets out the various measures that ten OECD countries applied to promote competence building measures in the field of cybersecurity. What measures can be undertaken to foster competence building? How can these measures be integrated into national cybersecurity strategies? Join us on Tuesday, 19th April, at 11:00 UTC for an online webinar to discuss the findings and key trends identified in the study. The study was presented in Geneva on 8 April.

22 April: Diplo at SEEDIG meeting

DiploFoundation will participate in the second annual meeting of the South Eastern European Dialogue on Internet Governance (SEEDIG), in Belgrade on 22 April 2016. SEEDIG is a sub-regional Internet Governance Forum initiative dedicated to open, inclusive, and multistakeholder discussions on Internet governance issues between stakeholders in South Eastern Europe and the neighbouring area. A number of Diplo alumni and associates will  take part in the dialogue. Learn more about the event and how to get involved.

25 April: Conference on Technical Innovation for Digital Policy

Data protection, freedom of information, and cybersecurity are increasingly in the focus of digital policy. Can technology provide adequate solutions to important policy issues? What are the options? The conference on Technical Innovation for Digital Policy, on 25 April will gather leading Internet innovators and policy experts to discuss technical innovations and potential solutions to critical areas affecting Internet users worldwide. The programme will include CyberLab demonstrations and discussions on how technical architecture can help address policy issues. With the exception of CyberLab demonstrations, all sessions are open to online participation. For a detailed programme, background resources, and to register, visit the conference website.

26 April: Internet governance in April

What were the main Internet governance updates in April, and how will they shape future developments? What can we expect? Join us for our next Internet governance briefing, on Tuesday, 26th April, at 11 UTC, for a round-up of the major global IG and digital policy developments. The monthly briefings are delivered live from Geneva, and broadcast online. Participants can also join any of the local hubs. Learn more and register.

2 May: Diplo/GIP session at the WSIS Forum

DiploFoundation and the Geneva Internet Platform will host a session on digital policies during the WSIS Forum, which takes place  2-6 May. The session, which will be held on 2 May,  11:00-13:00 CEST (ITU Headquarters, Room L; remote participation will be provided), will dissect the complex picture of Internet governance and discuss avenues for navigating this dense policy space. With representatives from the diplomatic community, private sector, and civil society, it will discuss the needs of various communities when it comes to policy information, monitoring, and action. The discussion will explore concrete solutions for enhancing cross-sectoral dialogue and bridging policy silos. Learn more.

2-6 May: Live reporting from WSIS Forum

The WSIS Forum represents the world’s largest annual gathering of the ICT for Development community. This year's forum,  2-6 May, will feature numerous high-level meetings, interactive sessions and thematic workshops, and knowledge exchange sessions. Diplo and GIP rapporteurs will provide reports and updates during the week. Bookmark the dedicated page on the GIP Digital Watch observatory, for the latest updates.

4 May: Discussing on ICANN's accountability

The GIP and ICANN invite you to an open discussion about the development and implementation of recommendations to enhance ICANN's accountability to the global Internet community. The lunchtime briefing Next steps in enhancing ICANN accountability will take place at the GIP premises in Geneva, on Wednesday, 4th May, 13.15-15.00 CEST (11:15-13:00 UTC). The event will discuss the next steps in the implementation of the transition recommendations, particularly those about enhancing ICANN accountability. The implementation phase is an important opportunity for experts, in particular from academia and from civil society, to bring their knowledge and experience to the process. Learn more and register.

Scroll to Top